<template>
<div>
  <card>
    <!-- Card header -->
    <h3 slot="header" class="mb-0">Udpate Task For ( TRTP-2398 - Tengeh Reservoir Tender Project - SN-NT - Tengeh Reservoir North Site )</h3>

    <!-- Card body -->
    <form class="needs-validation"
          @submit.prevent="submit">
      <div class="form-row">
        <b-col md="4">
          <base-input label="Project"
                      name="Project">
            <select class="form-control" v-model="taskModel.task_project">
              <option disabled>-- Please Select A Project --</option>
              <option value="TRTP-2398 - Tengeh Reservoir Tender Project">TRTP-2398 - Tengeh Reservoir Tender Project</option>
              <option value="MNTP-8650 - Menara TM Project">MNTP-8650 - Menara TM Project</option>
              <option value="SGLP-3564 - Sunway Geo Lake Project">SGLP-3564 - Sunway Geo Lake Project</option>
              <option value="PCWM-1132 - PJ Causeway Mall Project">PCWM-1132 - PJ Causeway Mall Project</option>
            </select>
          </base-input>
        </b-col>

        <b-col md="4">
          <base-input label="Site"
                      name="Site">
            <select class="form-control" v-model="taskModel.task_site">
              <option disabled>-- Please Select A Site --</option>
              <option value="SN-NT - Tengeh Reservoir North Site">SN-NT - Tengeh Reservoir North Site</option>
              <option value="SN-SH - Tengeh Reservoir South Site">SN-SH - Tengeh Reservoir South Site</option>
              <option value="SN-ET - Tengeh Reservoir East Site">SN-ET - Tengeh Reservoir East Site</option>
              <option value="SN-WT - Tengeh Reservoir West Site">SN-WT - Tengeh Reservoir West Site</option>
              <option value="SN-01 - Tengeh Reservoir 01">SN-01 - Tengeh Reservoir 01</option>
              <option value="SN-02 - Tengeh Reservoir 02">SN-02 - Tengeh Reservoir 02</option>
              <option value="SN-03 - Tengeh Reservoir 03">SN-03 - Tengeh Reservoir 03</option>
              <option value="SN-04 - Tengeh Reservoir 04">SN-04 - Tengeh Reservoir 04</option>
              <option value="SN-05 - Tengeh Reservoir 05">SN-05 - Tengeh Reservoir 05</option>
            </select>
          </base-input>
        </b-col>

        <b-col md="4">
          <base-input label="Milestone"
                      name="Milestone">
            <select class="form-control" v-model="taskModel.task_milestone">
              <option selected>-- Please Select A Milestone --</option>
              <option value="Kick-Off">Kick-Off</option>
              <option value="Design">Design</option>
              <option value="Installation">Installation</option>
              <option value="Inspection">Inspection</option>
              <option value="Completed">Completed</option>
            </select>
          </base-input>
        </b-col>
      </div>

      <div class="form-row">
        <b-col md="8">
          <base-input label="Task Title"
                      name="Task Title"
                      v-model="taskModel.task_title"
                      placeholder="Task Title">

          </base-input>
        </b-col>
        <b-col md="4">
          <base-input label="Contractor"
                      name="Contractor">
            <select class="form-control" v-model="taskModel.task_contractor">
              <option>-- Please Select A Contractor --</option>
              <option value="Solar Ex">Solar Ex</option>
              <option value="Long Seng">Long Seng</option>
            </select>
          </base-input>
        </b-col>
      </div>

      <div class="form-row">
        <b-col md="12">
          <base-input label="Task Description"
                      name="Task Description"
                      v-model="taskModel.task_description"
                      placeholder="Task Description">

          </base-input>
        </b-col>
      </div>

      <div class="form-row">
        <b-col md="6">
          <base-input label="Task Remarks"
                      name="Task Remarks"
                      v-model="taskModel.task_remarks">
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="Status"
                      name="Status"
                      >
          <select class="form-control" v-model="taskModel.task_status">
              <option Selected disabled>-- Please Select A Status --</option>
              <option>Pending</option>
              <option value="W.I.P">W.I.P</option>
              <option>On Schedule</option>
              <option>Completed</option>
              <option>Delayed</option>
          </select>
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="Progress %"
                      name="Progress"
                      placeholder="Progress"
                      v-model="taskModel.task_progress">
          </base-input>
        </b-col>
      </div>

      <div class="form-row">
        <b-col md="3">
          <base-input label="Est Start Date"
                      name="Est Start Date"
                      type="date"
                      v-model="taskModel.task_est_start_date">
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="Est End Date"
                      name="Est End Date"
                      type="date"
                      v-model="taskModel.task_est_end_date">
          </base-input>
        </b-col>

        <b-col md="3">
          <base-input label="Start Date"
                      name="Start Date"
                      type="date"
                      v-model="taskModel.task_start_date">
          </base-input>
        </b-col>
        <b-col md="3">
          <base-input label="End Date"
                      name="End Date"
                      type="date"
                      v-model="taskModel.task_end_date">
          </base-input>
        </b-col>
      </div>

      <div>
        <b-col md="16">
          <h4>Attachment</h4>
          <dropzone-file-upload v-model="taskModel.task_attachment" multiple></dropzone-file-upload>
        </b-col>
      </div>

      <base-button type="primary" native-type="submit" @click="notifyVue('default')" >Update Task</base-button>
      <base-button type="primary" @click="$router.go(-1)">Cancel</base-button>
    </form>
  </card>

  <div class="form-row">
    <b-col md="4">
        <!-- <task-list></task-list> -->

    </b-col>

    <b-col md="4">

    </b-col>

    <b-col md="4">
        <!-- <task-list></task-list> -->

    </b-col>
  </div>

</div>
</template>
<script>
  import BaseSlider from '@/components/BaseSlider'
  import DropzoneFileUpload from '@/components/Inputs/DropzoneFileUpload'


  export default {
    name: 'task-edit-form',
    components: {
      BaseSlider,
      DropzoneFileUpload,

    },
    data() {
        return {
        taskModel: {
          task_project: 'TRTP-2398 - Tengeh Reservoir Tender Project',
          task_site: 'SN-NT - Tengeh Reservoir North Site',
          task_title: 'Handover Requesition Document For North',
          task_milestone: 'Kick-Off',
          task_description: 'This is a task to perform the Handover of Requestion Form',
          task_status: 'W.I.P',
          task_est_start_date: '2021-01-01',
          task_est_end_date: '2021-01-10',
          task_start_date: '2021-07-01',
          task_end_date: '2021-07-01',
          task_remarks: 'Nothing to Remarks',
          task_progress: 50,
          task_contractor: 'Long Seng',
          task_attachment: [],
        },
      }
    },
    methods: {
      async submit() {
        if ( this.taskModel.task_attachment.length === 0 )
        {
          this.$notify({
          message:
            '<b>Update Task (No Attachment): ' + this.taskModel.task_title + '</b> - Successfully Updated for ( '+ this.taskModel.task_project +' - '+ this.taskModel.task_site +')',
          timeout: 10000,
          icon: 'ni ni-bulb-61',
          type: 'danger',
          });
          this.$router.go(-1)
        }
        else
        {
          this.$notify({
          message:
            '<b>Udpate Task : ' + this.taskModel.task_title + '</b> - Successfully Updated for ( '+ this.taskModel.task_project +' - '+ this.taskModel.task_site +')',
          timeout: 10000,
          icon: 'ni ni-bell-55',
          type: 'default',
          });
          this.$router.go(-1)
        }
      },
    }
  }
</script>
<style>
</style>
